<template>
    <div>
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4>Data Indikator Kuisioner Inovasi Daerah</h4>
                        <p>21 Indikator dari Data Isian Inovasi Daerah. Silahkan membaca deskripsi atau keterangan terlebih dahulu dari masing-masing isian dalam formulir ini. Jika terdapat pertanyaan, silahkan berkoordinasi ke Whatsapp Grup "Koordinasi IGA DPS 2020"</p>
                        <br>
                        <p style="color:red;"><a style="color:red;">*</a>Required</p>
                    </div>
                </div>
            </div>
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <!-- <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups"> -->
                            <!-- <div class="btn-group mr-2" role="group" aria-label="First group"> -->
                                Legend : &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-danger" style="pointer-events: none"></a>
                                Belum Terisi &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-warning" style="pointer-events: none"></a>
                                Belum Lengkap &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-success" style="pointer-events: none"></a>
                                Sudah Terisi &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-light" style="pointer-events: none"></a>
                                Saat Ini
                            <!-- </div> -->
                        <!-- </div> -->
                    </div>
                </div>
            </div>
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <p>Daftar Pertanyaan</p>
                        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
                            <div class="btn-group mr-2" role="group" aria-label="First group">
                                <button type="button" :class="kuisionerStep==1 ? stepAktif : step1" @click.prevent="submitStep(1)">1</button>
                                <button type="button" :class="kuisionerStep==2 ? stepAktif : step2" @click.prevent="submitStep(2)">2</button>
                                <button type="button" :class="kuisionerStep==3 ? stepAktif : step3" @click.prevent="submitStep(3)">3</button>
                                <button type="button" :class="kuisionerStep==4 ? stepAktif : step4" @click.prevent="submitStep(4)">4</button>
                                <button type="button" :class="kuisionerStep==5 ? stepAktif : step5" @click.prevent="submitStep(5)">5</button>
                                <button type="button" :class="kuisionerStep==6 ? stepAktif : step6" @click.prevent="submitStep(6)">6</button>
                                <button type="button" :class="kuisionerStep==7 ? stepAktif : step7" @click.prevent="submitStep(7)">7</button>
                                <button type="button" :class="kuisionerStep==8 ? stepAktif : step8" @click.prevent="submitStep(8)">8</button>
                                <button type="button" :class="kuisionerStep==9 ? stepAktif : step9" @click.prevent="submitStep(9)">9</button>
                                <button type="button" :class="kuisionerStep==10 ? stepAktif : step10" @click.prevent="submitStep(10)">10</button>
                                <button type="button" :class="kuisionerStep==11 ? stepAktif : step11" @click.prevent="submitStep(11)">11</button>
                                <button type="button" :class="kuisionerStep==12 ? stepAktif : step12" @click.prevent="submitStep(12)">12</button>
                                <button type="button" :class="kuisionerStep==13 ? stepAktif : step13" @click.prevent="submitStep(13)">13</button>
                                <button type="button" :class="kuisionerStep==14 ? stepAktif : step14" @click.prevent="submitStep(14)">14</button>
                                <button type="button" :class="kuisionerStep==15 ? stepAktif : step15" @click.prevent="submitStep(15)">15</button>
                                <button type="button" :class="kuisionerStep==16 ? stepAktif : step16" @click.prevent="submitStep(16)">16</button>
                                <button type="button" :class="kuisionerStep==17 ? stepAktif : step17" @click.prevent="submitStep(17)">17</button>
                                <button type="button" :class="kuisionerStep==18 ? stepAktif : step18" @click.prevent="submitStep(18)">18</button>
                                <button type="button" :class="kuisionerStep==19 ? stepAktif : step19" @click.prevent="submitStep(19)">19</button>

                            </div>
                        </div>
                        <hr>
                        <br>

                        <form class="forms-sample">
                            <div v-if="kuisionerStep==1 ">
                                 <div class="form-group">
                                    <label for="exampleInputEmail1">1. Regulasi Inovasi Daerah [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Regulasi / Kebijakan yang ditetapkan untuk mendukung Inovasi Daerah</p>
                                    <div class="form-check" v-for="(regulasinonopd,index) in regulasinonopds" :key="index">
                                        <input v-if="regulasinonopd.id === currentData.regulasinonopd_id"  type="text" class="form-control"
                                        :value="
                                        (regulasinonopd.id === currentData.regulasinonopd_id)?regulasinonopd.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>1. Regulasi Inovasi Daerah [Data Pendukung])</label>
                                    <div v-for="(file, index) in editfileRegulasis" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileRegulasis)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputUsername1">1. Regulasi Inovasi Daerah [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.regulasi_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==2 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">2. Ketersediaan SDM Terhadap Inovasi Daerah [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Jumlah SDM yang melaksanakan inovasi daerah ini. jumlahnya ada berapa orang</p>
                                    <div class="form-check" v-for="(ketersediaan_sdm,index) in ketersediaansdm" :key="index">
                                        <input v-if="ketersediaan_sdm.id === currentData.ketersediaan_sdm_id"  type="text" class="form-control"
                                        :value="
                                        (ketersediaan_sdm.id === currentData.ketersediaan_sdm_id)?ketersediaan_sdm.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>2. Ketersediaan SDM Terhadap Inovasi Daerah [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileSdms" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileSdms)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputUsername1">2. Ketersediaan SDM Terhadap Inovasi Daerah [Nama Dokumen Data Pendukung]</label>
                                    <p style="font-size:12px; text-align: justify;">Anggaran untuk inovasi daerah dituangkan dalam APBD</p>
                                    <input  type="text" class="form-control" v-model="currentData.sdm_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==3 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">3. Dukungan Anggaran [Kuisioner] <a style="color:red;">*</a></label>
                                    <div class="form-check" v-for="(dukungan_anggaran,index) in dukungananggaran" :key="index">
                                        <input v-if="dukungan_anggaran.id === currentData.dukungan_anggaran_id"  type="text" class="form-control"
                                            :value="
                                            (dukungan_anggaran.id === currentData.dukungan_anggaran_id)?dukungan_anggaran.name:''"
                                            disabled>
                                        </div>
                                    </div>
                                <div class="form-group">
                                    <label>3. Dukungan Anggaran [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileDukunganAnggarans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileDukunganAnggarans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputUsername1">3. Dukungan Anggaran [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.anggaran_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==4 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">4. Penggunaan IT [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Penggunaan alat elektronik, teknologi dan sistem informasi dalam inovasi daerah</p>
                                    <div class="form-check" v-for="(penggunaan_it,index) in penggunaanit" :key="index">
                                        <input v-if="penggunaan_it.id === currentData.penggunaan_it_id"  type="text" class="form-control"
                                        :value="
                                        (penggunaan_it.id === currentData.penggunaan_it_id)?penggunaan_it.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>4. Penggunaan IT [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileIts" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileIts)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputUsername1">4. Penggunaan IT [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.it_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==5 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">5. Rencana Pembangunan Inovasi [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Rencana dan Persiapan Pengembangan Inovasi</p>
                                    <div class="form-check" v-for="(rencananonopd,index) in rencananonopds" :key="index">
                                        <input v-if="rencananonopd.id === currentData.rencananonopd_id"  type="text" class="form-control"
                                        :value="
                                        (rencananonopd.id === currentData.rencananonopd_id)?rencananonopd.name:''"
                                        disabled>
                                    </div>>
                                </div>

                                <div class="form-group">
                                    <label>5. Rencana Pembangunan Inovasi [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileRencanas" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileRencanas)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label for="exampleInputUsername1">5. Rencana Pembangunan Inovasi [Nama Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.rencana" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==6 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">6. Jejaring Inovasi [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Interaksi antar pelaku inovasi daerah. misalkan antar OPD, antar Pemda, atau melibatkan pelayanan publik</p>
                                    <div class="form-check" v-for="(jejaringnonopd,index) in jejaringnonopds" :key="index">
                                        <input v-if="jejaringnonopd.id === currentData.jejaringnonopd_id"  type="text" class="form-control"
                                        :value="
                                        (jejaringnonopd.id === currentData.jejaringnonopd_id)?jejaringnonopd.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>6. Jejaring Inovasi [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileJejarings" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileJejarings)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputUsername1">6. Jejaring Inovasi [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.replikasi_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==7 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">7. Replikasi [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Inovasi daerah yang telah berhasil direplikasi ke daerah lain</p>
                                    <div class="form-check" v-for="(replikasi,index) in replikasi" :key="index">
                                        <input v-if="replikasi.id === currentData.replikasi_id"  type="text" class="form-control"
                                        :value="
                                        (replikasi.id === currentData.replikasi_id)?replikasi.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>7. Replikasi [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileReplikasis" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileReplikasis)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputUsername1">7. Replikasi [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.replikasi_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==8 ">
                                <div class="form-group">
                                    <label>8. Pedoman Teknis [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Ketentuan dasar yang memberi arah bagaimana inovasi daerah harus dilakukan</p>
                                    <div class="form-check" v-for="(pedoman_teknis,index) in pedomanteknis" :key="index">
                                        <input v-if="pedoman_teknis.id === currentData.pedoman_teknis_id"  type="text" class="form-control"
                                        :value="
                                        (pedoman_teknis.id === currentData.pedoman_teknis_id)?pedoman_teknis.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>8. Pedoman Teknis [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfilePedomans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfilePedomans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>8. Pedoman Teknis [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.pedoman_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==9">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">9. Pengelola Inovasi [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Pengelola inovasi ditetapkan dengan Surat Keputusan</p>
                                    <div class="form-check" v-for="(pengelolanonopd,index) in pengelolanonopds" :key="index">
                                        <input v-if="pengelolanonopd.id === currentData.pengelolanonopd_id"  type="text" class="form-control"
                                        :value="
                                        (pengelolanonopd.id === currentData.pengelolanonopd_id)?pengelolanonopd.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>9. Pengelola Inovasi [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfilePengelolaans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfilePengelolaans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputUsername1">9. Pengelola Inovasi [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.pengelolaan_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==10">
                                <div class="form-group">
                                    <label>10. Ketersediaan Informasi Layanan [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Kesiapan informasi layanan untuk dapat digunakan</p>
                                    <div class="form-check" v-for="(info_layanan,index) in infolayanan" :key="index">
                                        <input v-if="info_layanan.id === currentData.info_layanan_id"  type="text" class="form-control"
                                        :value="
                                        (info_layanan.id === currentData.info_layanan_id)?info_layanan.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>10. Ketersediaan Informasi Layanan [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileInfos" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileInfos)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>10. Ketersediaan Informasi Layanan [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.info_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==11">
                                <div class="form-group">
                                    <label>11. Penyelesaian Layanan Pengaduan [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Penyelesaian informasi/ pemberitahuan yang disampaikan oleh pengguna tentang inovasi daerah</p>
                                    <div class="form-check" v-for="(layanan_pengaduan,index) in layananpengaduan" :key="index">
                                        <input v-if="layanan_pengaduan.id === currentData.layanan_pengaduan_id"  type="text" class="form-control"
                                        :value="
                                        (layanan_pengaduan.id === currentData.layanan_pengaduan_id)?layanan_pengaduan.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>11. Penyelesaian Layanan Pengaduan [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfilePengaduans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfilePengaduans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>11. Penyelesaian Layanan Pengaduan [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.pengaduan_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==12">
                                <div class="form-group">
                                    <label>12. Tingkat Partisipasi Stakeholder [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Tindakan pihak pihak tertentu dalam mengambil bagian pada kegiatan inovasi daerah</p>
                                    <div class="form-check" v-for="(stakeholder,index) in stakeholder" :key="index">
                                        <input v-if="stakeholder.id === currentData.stakeholder_id"  type="text" class="form-control"
                                        :value="
                                        (stakeholder.id === currentData.stakeholder_id)?stakeholder.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>12. Tingkat Partisipasi Stakeholder [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileStakeholders" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileStakeholders)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>12. Tingkat Partisipasi Stakeholder [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.stakeholder_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==13">
                                <div class="form-group">
                                    <label>13. Kemudahan Informasi Layanan [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Tidak memerlukan banyak tenaga untuk memperoleh informasi layanan</p>
                                    <div class="form-check" v-for="(kemudahan_layanan,index) in kemudahanlayanan" :key="index">
                                        <input v-if="kemudahan_layanan.id === currentData.kemudahan_layanan_id"  type="text" class="form-control"
                                        :value="
                                        (kemudahan_layanan.id === currentData.kemudahan_layanan_id)?kemudahan_layanan.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>13. Kemudahan Informasi Layanan [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileLayanans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileLayanans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>13. Kemudahan Informasi Layanan [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.layanan_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==14">
                                <div class="form-group">
                                    <label>14. Kemudahan Proses Inovasi Yang Dihasilkan [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Tidak atau memerlukan banyak tenaga untuk melakukan inovasi</p>
                                    <div class="form-check" v-for="(kemudahan_proses,index) in kemudahanproses" :key="index">
                                        <input v-if="kemudahan_proses.id === currentData.kemudahan_proses_id"  type="text" class="form-control"
                                        :value="
                                        (kemudahan_proses.id === currentData.kemudahan_proses_id)?kemudahan_proses.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>14. Kemudahan Proses Inovasi Yang Dihasilkan [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileProses" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileProses)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>14. Kemudahan Proses Inovasi Yang Dihasilkan [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.proses_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==15">
                                <div class="form-group">
                                    <label>15. Online Sistem [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Jaringan prosedur yang dibuat secara daring</p>
                                    <div class="form-check" v-for="(online_sistem,index) in onlinesistem" :key="index">
                                        <input v-if="online_sistem.id === currentData.online_sistem_id"  type="text" class="form-control"
                                        :value="
                                        (online_sistem.id === currentData.online_sistem_id)?online_sistem.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>15. Online Sistem [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileOnlines" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileOnlines)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>15. Online Sistem [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.online_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==16">
                                <div class="form-group">
                                    <label>16. Kecepatan Inovasi [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Proses yang digunakan untuk mengakses inovasi daerah dalam satuan waktu. yang dimaksud sangat lambat (waktunya pengerjaanya kurang dari 6 bulan) yang dimaksud cukup cepat (waktunya pengerjaanya kurang dari 12 bulan) yang dimaksud lambat (waktunya pengerjaanya lebih dari 12 bulan)</p>
                                    <div class="form-check" v-for="(kecepatan_inovasi,index) in kecepataninovasi" :key="index">
                                        <input v-if="kecepatan_inovasi.id === currentData.kecepatan_inovasi_id"  type="text" class="form-control"
                                        :value="
                                        (kecepatan_inovasi.id === currentData.kecepatan_inovasi_id)?kecepatan_inovasi.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>16. Kecepatan Inovasi [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileKecepatans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileKecepatans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>16. Kecepatan Inovasi [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.kecepatan_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==17">
                                <div class="form-group">
                                    <label>17. Kemanfaatan Inovasi [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Inovasi daerah yang dihasilkan bermanfaat dan tidak menimbulkan beban terhadap daerah</p>
                                    <div class="form-check" v-for="(kemanfaatan_inovasi,index) in kemanfaataninovasi" :key="index">
                                        <input v-if="kemanfaatan_inovasi.id === currentData.kemanfaatan_inovasi_id"  type="text" class="form-control"
                                        :value="
                                        (kemanfaatan_inovasi.id === currentData.kemanfaatan_inovasi_id)?kemanfaatan_inovasi.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>17. Kemanfaatan Inovasi [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileKemanfaatans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileKemanfaatans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>17. Kemanfaatan Inovasi [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.kemanfaatan_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==18">
                                <div class="form-group">
                                    <label>18. Tingkat Kepuasan penggunaan inovasi daerah [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Ketersediaan tingkat kepuasan inovasi daerah dapat dirasakan sesuai dengan yang diharapkan pengguna</p>
                                    <div class="form-check" v-for="(kepuasan_inovasi,index) in kepuasaninovasi" :key="index">
                                        <input v-if="kepuasan_inovasi.id === currentData.kepuasan_inovasi_id"  type="text" class="form-control"
                                        :value="
                                        (kepuasan_inovasi.id === currentData.kepuasan_inovasi_id)?kepuasan_inovasi.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>18. Tingkat Kepuasan penggunaan inovasi daerah [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileKepuasans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileKepuasans)">Remove</button>
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>18. Tingkat Kepuasan penggunaan inovasi daerah [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.kepuasan_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==19">
                                <div class="form-group">
                                    <label>19. Sosialisasi Kebijakan [Kuisioner] <a style="color:red;">*</a></label>
                                    <p style="font-size:12px; text-align: justify;">Penyebarluasan informasi kebijakan inovasi daerah dari pemerintahan daerah kepada pengguna inovasi daerah (pengguna dapat Pegawai ASN atau Masyarakat) dengan mengunggah foto kegiatan inovasi daerah dan/atau pelaksanaan inovasi dimaksud</p>
                                    <div class="form-check" v-for="(sosialisasi,index) in sosialisasi" :key="index">
                                        <input v-if="sosialisasi.id === currentData.sosialisasi_id"  type="text" class="form-control"
                                        :value="
                                        (sosialisasi.id === currentData.sosialisasi_id)?sosialisasi.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>19. Sosialisasi Kebijakan [Data Pendukung]</label>
                                    <div v-for="(file, index) in editfileSosialisasis" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileSosialisasis)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>19. Sosialisasi Kebijakan [Nama Dokumen Data Pendukung]</label>
                                    <input  type="text" class="form-control" v-model="currentData.sosialisasi_filename" disabled>
                                </div>
                            </div>
                        </form>
                        <br>
                        <button class="btn btn-primary" type="submit" v-if="kuisionerStep!=1?'disabled':''" @click.prevent="submitStep(kuisionerStep-1)">Previous</button>
                        <button class="btn btn-primary float-right my-2 my-lg-0" type="submit" v-if="kuisionerStep!=19?'disabled':''" @click.prevent="submitStep(kuisionerStep+1)">Submit & Next</button>
                        <button class="btn btn-primary float-right my-2 my-lg-0" type="submit" v-if="kuisionerStep==19" @click.prevent="submitFinish()">Finish</button>
                    </div>
                </div>
            </div>
        </div>
        <button class="btn btn-primary" type="submit"  @click.prevent="back('DataInovasi')">Kembali</button>
    </div>
</template>

<script>
    export default {
        props: ['dataprops'],
        filters: {
        formatSize: function (value) {
            if (!value) return ''
                let valKB = 0.000001*value
                return `${valKB.toFixed(2)} MB`
            }
        },
        //Binding Data
        data() {
            return {
                component:'ViewKuisionernonopd.',
                token:document.head.querySelector('meta[name="csrf-token"]').content,

                currentData:this.initialKuisioner(),
                inovasiData:this.initialInovasi(),
                //initializing property funtion get data
                //opd
                regulasiinovasi:[],
                ketersediaansdm:[],
                dukungananggaran:[],
                penggunaanit:[],

                jejaringinovasi:[],
                replikasi:[],
                //non
                regulasinonopds:[],
                rencananonopds:[],
                jejaringnonopds:[],
                pengelolanonopds:[],


                //initializing property upload file
                // files: [],
                regulasi_file:[],
                sdm_file:[],
                dukungananggaran_file:[],
                it_file:[],
                rencana_file:[],
                jejaring_file:[],
                replikasi_file:[],
                image_folder:"iconFile",

                //initializing property funtion get data
                pedomanteknis:[],
                pengelolaaninovasi:[],
                infolayanan:[],
                layananpengaduan:[],
                stakeholder:[],
                kemudahanlayanan:[],
                kemudahanproses:[],
                onlinesistem:[],
                pengelolanonopds:[],

                //initializing property upload file
                // files: [],
                pedoman_file:[],
                pengelolaan_file:[],
                info_file:[],
                pengaduan_file:[],
                stakeholder_file:[],
                layanan_file:[],
                proses_file:[],
                online_file:[],

                //initializing property funtion get data
                kecepataninovasi: [],
                kemanfaataninovasi: [],
                kepuasaninovasi: [],
                sosialisasi: [],

                //initializing property upload file
                // files: [],
                kecepatan_file:[],
                kemanfaatan_file:[],
                kepuasan_file:[],
                sosialisasi_file:[],

                // initial remove file when innovator edit kuisioner
                editfileRegulasis:[],
                editfileSdms:[],
                editfileDukunganAnggarans:[],
                editfileIts:[],
                editfileRencanas:[],
                editfileJejarings:[],
                editfileReplikasis:[],
                editfilePedomans:[],
                editfilePengelolaans:[],
                editfileInfos:[],
                editfilePengaduans:[],
                editfileStakeholders:[],
                editfileLayanans:[],
                editfileProses:[],
                editfileOnlines:[],
                editfileKecepatans:[],
                editfileKemanfaatans:[],
                editfileKepuasans:[],
                editfileSosialisasis:[],

                //innovation id
                innovation_id:'',

                // image_folder:"iconFile"
                image_folder:"iconFile",

                //Step Inovasi
                checkinovasi:'',
                kuisionerStep:1,
                stepAktif:'btn btn-light',
                step1:'btn btn-danger',
                step2:'btn btn-danger',
                step3:'btn btn-danger',
                step4:'btn btn-danger',
                step5:'btn btn-danger',
                step6:'btn btn-danger',
                step7:'btn btn-danger',
                step8:'btn btn-danger',
                step9:'btn btn-danger',
                step10:'btn btn-danger',
                step11:'btn btn-danger',
                step12:'btn btn-danger',
                step13:'btn btn-danger',
                step14:'btn btn-danger',
                step15:'btn btn-danger',
                step16:'btn btn-danger',
                step17:'btn btn-danger',
                step18:'btn btn-danger',
                step19:'btn btn-danger',
                step20:'btn btn-danger',
                step21:'btn btn-danger',
                step22:'btn btn-danger',
                step23:'btn btn-danger',
            }
        },

        created(){
            this.initial();
            this.initialKuisioner();
            this.initialInovasi();
            this.getRegulasiInovasi();
            this.getKetersediaanSdm();
            this.getDukunganAnggaran();
            this.getPenggunaanIt();

            this.getJejaringInovasi();
            this.getReplikasi();
            this.getPedomanTeknis();
            this.getPengelolaanInovasi();
            this.getInfoLayanan();
            this.getLayananPengaduan();
            this.getStakeholder();
            this.getKemudahanLayanan();
            this.getKemudahanProses();
            this.getOnlineSistem();
            this.getKecepatanInovasi();
            this.getKemanfaatanInovasi();
            this.getKepuasanInovasi();
            this.getSosialisasi();

            this.getRegulasiInovasiNonOpd();
            this.getRencanaNonOpd();
            this.getJejaringNonOpd();
            this.getPengelolanonOpd();

            // this.submit()
            // this.submitStep(1);
        },

        methods: {
            initial(){
                this.checkinovasi = this.dataprops.data.checkinovasi
                this.editfileRegulasis = JSON.parse(this.dataprops.data.kuisioner.regulasi_file)  || []
                this.editfileSdms = JSON.parse(this.dataprops.data.kuisioner.sdm_file) || []
                this.editfileDukunganAnggarans= JSON.parse(this.dataprops.data.kuisioner.dukungananggaran_file) || []
                this.editfileIts = JSON.parse(this.dataprops.data.kuisioner.it_file) || []
                this.editfileBimteks = JSON.parse(this.dataprops.data.kuisioner.bimtek_file) || []
                this.editfileRenstras = JSON.parse(this.dataprops.data.kuisioner.renstra_file) || []
                this.editfileJejarings = JSON.parse(this.dataprops.data.kuisioner.jejaring_file) || []
                this.editfileReplikasis = JSON.parse(this.dataprops.data.kuisioner.replikasi_file) || []
                //
                this.editfilePedomans = JSON.parse(this.dataprops.data.kuisioner.pedoman_file) || []
                this.editfilePengelolaans = JSON.parse(this.dataprops.data.kuisioner.pengelolaan_file) || []
                this.editfileInfos = JSON.parse(this.dataprops.data.kuisioner.info_file) || []
                this.editfilePengaduans = JSON.parse(this.dataprops.data.kuisioner.pengaduan_file) || []
                this.editfileStakeholders = JSON.parse(this.dataprops.data.kuisioner.stakeholder_file) || []
                this.editfileLayanans = JSON.parse(this.dataprops.data.kuisioner.layanan_file) || []
                this.editfileProses = JSON.parse(this.dataprops.data.kuisioner.proses_file) || []
                this.editfileOnlines = JSON.parse(this.dataprops.data.kuisioner.online_file) || []
                //
                this.editfileKecepatans = JSON.parse(this.dataprops.data.kuisioner.kecepatan_file) || []
                this.editfileKemanfaatans = JSON.parse(this.dataprops.data.kuisioner.kemanfaatan_file) || []
                this.editfileKepuasans = JSON.parse(this.dataprops.data.kuisioner.kepuasan_file) || []
                this.editfileSosialisasis = JSON.parse(this.dataprops.data.kuisioner.sosialisasi_file) || []
                this.editfileRencanas = JSON.parse(this.dataprops.data.kuisioner.rencana_file)

            },
            initialKuisioner(){
                return {
                    id:this.dataprops.data.kuisioner.id,
                    regulasi_inovasi_id:this.dataprops.data.kuisioner.regulasi_inovasi_id,
                    regulasi_file:[],
                    regulasi_filename:this.dataprops.data.kuisioner.regulasi_filename || '',
                    ketersediaan_sdm_id:this.dataprops.data.kuisioner.ketersediaan_sdm_id || '',
                    sdm_file:[],
                    sdm_filename:this.dataprops.data.kuisioner.sdm_filename || '',
                    dukungan_anggaran_id:this.dataprops.data.kuisioner.dukungan_anggaran_id || '',
                    dukungananggaran_file:[],
                    anggaran_filename:this.dataprops.data.kuisioner.anggaran_filename || '',
                    penggunaan_it_id:this.dataprops.data.kuisioner.penggunaan_it_id || '',
                    it_file:[],
                    it_filename:this.dataprops.data.kuisioner.it_filename || '',
                    bimtek_id:this.dataprops.data.kuisioner.bimtek_id || '',
                    bimtek_file:[],
                    bimtek_filename:this.dataprops.data.kuisioner.bimtek_filename || '',
                    program_renstra_id:this.dataprops.data.kuisioner.program_renstra_id || '',
                    renstra_file:[],
                    renstra_filename:this.dataprops.data.kuisioner.renstra_filename || '',
                    jejaring_inovasi_id:this.dataprops.data.kuisioner.jejaring_inovasi_id || '',
                    jejaring_file:[],
                    jejaring_filename:this.dataprops.data.kuisioner.jejaring_filename || '',
                    replikasi_id:this.dataprops.data.kuisioner.replikasi_id || '',
                    replikasi_file:[],
                    replikasi_filename:this.dataprops.data.kuisioner.replikasi_filename || '',
                    //
                    pedoman_teknis_id:this.dataprops.data.kuisioner.pedoman_teknis_id || '',
                    pedoman_file:[],
                    pedoman_filename:this.dataprops.data.kuisioner.pedoman_filename || '',
                    pengelolaan_inovasi_id:this.dataprops.data.kuisioner.pengelolaan_inovasi_id || '',
                    pengelolaan_file:[],
                    pengelolaan_filename:this.dataprops.data.kuisioner.pengelolaan_filename || '',
                    info_layanan_id:this.dataprops.data.kuisioner.info_layanan_id || '',
                    info_file:[],
                    info_filename:this.dataprops.data.kuisioner.info_filename || '',
                    layanan_pengaduan_id:this.dataprops.data.kuisioner.layanan_pengaduan_id || '',
                    pengaduan_file:[],
                    pengaduan_filename:this.dataprops.data.kuisioner.pengaduan_filename || '',
                    stakeholder_id:this.dataprops.data.kuisioner.stakeholder_id || '',
                    stakeholder_file:[],
                    stakeholder_filename:this.dataprops.data.kuisioner.stakeholder_filename || '',
                    kemudahan_layanan_id:this.dataprops.data.kuisioner.kemudahan_layanan_id || '',
                    layanan_file:[],
                    layanan_filename:this.dataprops.data.kuisioner.layanan_filename || '',
                    kemudahan_proses_id:this.dataprops.data.kuisioner.kemudahan_proses_id || '',
                    proses_file:[],
                    proses_filename:this.dataprops.data.kuisioner.proses_filename || '',
                    online_sistem_id:this.dataprops.data.kuisioner.online_sistem_id || '',
                    online_file:[],
                    online_filename:this.dataprops.data.kuisioner.online_filename || '',
                    //
                    kecepatan_inovasi_id:this.dataprops.data.kuisioner.kecepatan_inovasi_id || '',
                    kecepatan_file:[],
                    kecepatan_filename:this.dataprops.data.kuisioner.kecepatan_filename || '',
                    kemanfaatan_inovasi_id:this.dataprops.data.kuisioner.kemanfaatan_inovasi_id || '',
                    kemanfaatan_file:[],
                    kemanfaatan_filename:this.dataprops.data.kuisioner.kemanfaatan_filename || '',
                    kepuasan_inovasi_id:this.dataprops.data.kuisioner.kepuasan_inovasi_id || '',
                    kepuasan_file:[],
                    kepuasan_filename:this.dataprops.data.kuisioner.kepuasan_filename || '',
                    sosialisasi_id:this.dataprops.data.kuisioner.sosialisasi_id || '',
                    sosialisasi_file:[],
                    sosialisasi_filename:this.dataprops.data.kuisioner.sosialisasi_filename || '',
                    //
                    regulasinonopd_id:this.dataprops.data.kuisioner.regulasinonopd_id,
                    rencananonopd_id:this.dataprops.data.kuisioner.rencananonopd_id,
                    rencana_file:[],
                    rencana:this.dataprops.data.kuisioner.rencana || '',
                    jejaringnonopd_id:this.dataprops.data.kuisioner.jejaringnonopd_id,
                    pengelolanonopd_id : this.dataprops.data.kuisioner.pengelolanonopd_id,
                }
            },
            initialInovasi(){
                return{
                    id:this.dataprops.data.id,
                    status: this.dataprops.data.status,
                    checkinovasi: this.dataprops.data.checkinovasi,
                }
            },
            //non opd
            getPengelolanonOpd() {
                axios.get('get/pengelolanonopd').then(response => {
                   this.pengelolanonopds = response.data
                })
            },
            getRegulasiInovasiNonOpd() {
                axios.get('get/regulasinonopd').then(response => {
                   this.regulasinonopds = response.data
                })
            },
            getRencanaNonOpd() {
                axios.get('get/rencananonopd').then(response => {
                   this.rencananonopds = response.data
                })
            },
            getJejaringNonOpd() {
                axios.get('get/jejaringnonopd').then(response => {
                   this.jejaringnonopds = response.data
                })
            },
            //function to get all data from laravel route (Frontend/Home)
            //opd
            getRegulasiInovasi() {
                axios.get('get/regulasiinovasi').then(response => {
                   this.regulasiinovasi = response.data
                })
            },
            getKetersediaanSdm() {
                axios.get('get/ketersediaansdm').then(response => {
                   this.ketersediaansdm = response.data
                })
            },
            getDukunganAnggaran() {
                axios.get('get/dukungananggaran').then(response => {
                   this.dukungananggaran = response.data
                })
            },
            getPenggunaanIt() {
                axios.get('get/penggunaanit').then(response => {
                   this.penggunaanit = response.data
                })
            },
            getBimtek() {
                axios.get('get/bimtek').then(response => {
                   this.bimtek = response.data
                })
            },
            getProgramRenstra() {
                axios.get('get/programrenstra').then(response => {
                   this.programrenstra = response.data
                })
            },
            getJejaringInovasi() {
                axios.get('get/jejaringinovasi').then(response => {
                   this.jejaringinovasi = response.data
                })
            },
            getReplikasi() {
                axios.get('get/replikasi').then(response => {
                   this.replikasi = response.data
                })
            },
            //
            getPedomanTeknis() {
                axios.get('get/pedomanteknis').then(response => {
                   this.pedomanteknis = response.data
                })
            },
            getPengelolaanInovasi() {
                axios.get('get/pengelolaaninovasi').then(response => {
                   this.pengelolaaninovasi = response.data
                })
            },
            getInfoLayanan() {
                axios.get('get/infolayanan').then(response => {
                   this.infolayanan = response.data
                })
            },
            getLayananPengaduan() {
                axios.get('get/layananpengaduan').then(response => {
                   this.layananpengaduan = response.data
                })
            },
            getStakeholder() {
                axios.get('get/stakeholder').then(response => {
                   this.stakeholder = response.data
                })
            },
            getKemudahanLayanan() {
                axios.get('get/kemudahanlayanan').then(response => {
                   this.kemudahanlayanan = response.data
                })
            },
            getKemudahanProses() {
                axios.get('get/kemudahanproses').then(response => {
                   this.kemudahanproses = response.data
                })
            },
            getOnlineSistem() {
                axios.get('get/onlinesistem').then(response => {
                   this.onlinesistem = response.data
                })
            },
            getKecepatanInovasi() {
                axios.get('get/kecepataninovasi').then(response => {
                   this.kecepataninovasi = response.data
                })
            },
            getKemanfaatanInovasi() {
                axios.get('get/kemanfaataninovasi').then(response => {
                   this.kemanfaataninovasi = response.data
                })
            },
            getKepuasanInovasi() {
                axios.get('get/kepuasaninovasi').then(response => {
                   this.kepuasaninovasi = response.data
                })
            },
            getSosialisasi() {
                axios.get('get/sosialisasi').then(response => {
                   this.sosialisasi = response.data
                })
            },

            submitStep(step){
                this.kuisionerStep = step
                // this.submit()
            },

            submitFinish(){
                this.toNextComponent('DataInovasi')
            },

            back(visit){

                let data = {
                    visit
                }
                this.$emit('datacomponent', data)
            },
            //function send to next component
            toNextComponent(visit){
                //kita combinasikan data form 1 dan form 2
                // let datamerged = Object.assign( {}, this.dataprops, this.currentData);

                let data = {
                    back:this.component,
                    data:this.currentData,
                    visit
                }
                this.$emit('datacomponent', data)
            },
            //function for inputfilter file from Plugin
            inputFilter(newFile, oldFile, prevent) {
              if (newFile && !oldFile) {
                if (/(\/|^)(Thumbs\.db|desktop\.ini|\..+)$/.test(newFile.name)) {
                  return prevent()
                }
                if (/\.(php5?|html?|jsx?)$/i.test(newFile.name)) {
                  return prevent()
                }
              }
            },
            //function download file
            getFileDownload(linkFile){
                // let link
                return `/uploadfile/${linkFile}`
            },

            //get file
            getFile(link){
            //   return `/${this.image_folder}/${link}`
              return `/${this.image_folder}/file.png`
            },
            getFileEdit(link){
                let extension = link.substr(link.lastIndexOf('.') + 1)
                if (extension==='jpg' || extension==='jpeg' || extension==='png' || extension==='webp') {
                    return `/${link}`
                }else{
                    return `/${this.image_folder}/file.png`
                }
            },
        },
    }
</script>

<style>

</style>
